Skip to main content
POST
/
robots
/
{robotId}
/
tags
Tags a robot
curl --request POST \
  --url https://api.inorbit.ai/robots/{robotId}/tags \
  --header 'Content-Type: application/json' \
  --header 'x-auth-inorbit-app-key: <api-key>' \
  --data '
{
  "id": "<string>"
}
'
[
  {
    "id": "<string>",
    "name": "<string>",
    "collectionId": "<string>",
    "collectionName": "<string>"
  }
]

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Body

application/json

Tags a robot. Note that for exclusive collections other tags may be automatically removed from the robot to avoid conflicts.

id
string
required

Unique identifier of the tag

Response

Robot tagged successfully

id
string

Unique identifier of the tag

name
string

Tag name

collectionId
string

Id of the collection this tag belongs to

collectionName
string

Collection name